Bug 243738 - Channel Subscriptions Exceeding Limit
Summary: Channel Subscriptions Exceeding Limit
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Clifford Perry
QA Contact: Corey Welton
URL:
Whiteboard:
Keywords:
: 246471 (view as bug list)
Depends On:
Blocks: 248627
TreeView+ depends on / blocked
 
Reported: 2007-06-11 16:39 UTC by John Sanda
Modified: 2008-04-03 00:17 UTC (History)
1 user (show)

Fixed In Version: sat510
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-03 00:17:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Comment 1 Brandon Perkins 2007-07-18 16:13:57 UTC
*** Bug 246471 has been marked as a duplicate of this bug. ***

Comment 2 James Slagle 2007-09-13 20:52:04 UTC
[packages]$ svn diff
Index: rhn_channel.pkb
===================================================================
--- rhn_channel.pkb     (revision 131533)
+++ rhn_channel.pkb     (working copy)
@@ -139,6 +139,11 @@
          FROM rhnServer
         WHERE id = server_id_in;
         
+    select current_members 
+    from rhnPrivateChannelFamily
+    where org_id = org_id_in and channel_family_id = channel_family_id_val
+    for update of current_members;
+
        available_subscriptions :=
rhn_channel.available_family_subscriptions(channel_family_id_val,
server_org_id_val);
 
        IF available_subscriptions IS NULL OR 
[packages]$ svn ci
Sending        packages/rhn_channel.pkb
Transmitting file data .
Committed revision 131673.


Comment 3 James Slagle 2007-09-13 21:02:26 UTC
testplan
========
To test this, get a satellite set up so that it has exactly 1 subscription
available of the channel you want to test with.

Register 4 systems at exactly the same time.  The best way to do this is to call
up2date.py 4 times in a row from a bash script and running each command in the
background (&).

1 and exactly 1 system should get registered each time you perform the test. 
The other 3 should fail with the Error Class Code: 70  All available
subscriptions for the requested channel have been exhausted exception.

Comment 4 Corey Welton 2007-10-17 19:58:44 UTC
QA Verified; ran this test attempting four simultaneous registrations; the first
one works and subsequent others don't.

Comment 6 Red Hat Bugzilla 2007-10-26 00:52:27 UTC
User jslagle@redhat.com's account has been closed

Comment 7 Devan Goodwin 2008-03-19 13:35:51 UTC
Using the up2date.py method verified against stage by:

* Reducing core server allocation for my org to one more than was currently used.
* Spawning 4 fake system registrations using the above method.

Result:

Only one system appeared in satellite, correct number of entitlements used in
satellite, and three error msgs on the console where the test was run.

Release pending.

Comment 8 Brandon Perkins 2008-04-03 00:17:39 UTC
5.1 Sat GA so Closed for Current Release.


Note You need to log in before you can comment on or make changes to this bug.